CREATE TABLE main_data (
	id int NOT NULL,
	xml varbinary (4000) NULL,
	created datetime NOT NULL,
	modified datetime NOT NULL,
	deleted datetime NULL,
	harvestble char (1) NOT NULL,
	root_name varchar (30) NOT NULL,
	root_namespace varchar (90) NOT NULL,
	externalid varchar (20) NOT NULL
);
GO

CREATE  INDEX IX_main_data_modified ON main_data(modified);
GO

CREATE  INDEX IX_main_data_rns ON main_data(root_namespace);
GO

CREATE  INDEX IX_main_data_rn ON main_data(root_name);
GO

CREATE  INDEX IX_main_data_externalid ON main_data(id, externalid);
GO


CREATE TABLE set_specs (
	externalid varchar (40) NOT NULL,
	set_spec varchar (30) NOT NULL
);
GO

CREATE INDEX IX_set_specs ON set_specs(externalid);
GO


CREATE TABLE sets (
	name varchar (40) NOT NULL,
	set_spec varchar (30) NOT NULL
);
GO
